LegalStack

Подписание — по ссылке

Публичное подписание по короткой ссылке (OTP).

Контекст подписания для публичного подписанта

GET
/api/v1/signatures/sign-public/{shortId}

Параметры пути

shortId*string

Короткий код подписания из ссылки-приглашения

Длина1 <= length <= 64

Тело ответа

application/json

application/problem+json

curl -X GET "https://loading/api/v1/signatures/sign-public/string"
{
  "documentTitle": "string",
  "participants": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "placedActions": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "signer": {
    "property1": null,
    "property2": null
  },
  "status": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Изображение подписи или печати, доступное публичному подписанту

GET
/api/v1/signatures/sign-public/{shortId}/assets/{kind}

Параметры пути

shortId*string

Короткий код подписания

Длина1 <= length <= 64
kind*string

Тип ассета

Значение в"signature" | "stamp" | "logo"

Тело ответа

image/png

application/problem+json

curl -X GET "https://loading/api/v1/signatures/sign-public/string/assets/signature"
"string"
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Комментарии (публично, по shortId)

GET
/api/v1/signatures/sign-public/{shortId}/comments

Параметры пути

shortId*string

Короткий код подписания из ссылки-приглашения

Длина1 <= length <= 64

Тело ответа

application/json

application/problem+json

curl -X GET "https://loading/api/v1/signatures/sign-public/string/comments"
[
  {
    "property1": null,
    "property2": null
  }
]
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Добавить комментарий (публично, как подписант)

POST
/api/v1/signatures/sign-public/{shortId}/comments

Параметры пути

shortId*string

Короткий код подписания из ссылки-приглашения

Длина1 <= length <= 64

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/sign-public/string/comments" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{
  "success": true,
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

PDF документа для предпросмотра подписанту

GET
/api/v1/signatures/sign-public/{shortId}/document.pdf

Параметры пути

shortId*string

Короткий код подписания из ссылки-приглашения

Длина1 <= length <= 64

Тело ответа

application/pdf

application/problem+json

curl -X GET "https://loading/api/v1/signatures/sign-public/string/document.pdf"
"string"
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Отклонить подписание

POST
/api/v1/signatures/sign-public/{shortId}/reject

Параметры пути

shortId*string

Короткий код подписания из ссылки-приглашения

Длина1 <= length <= 64

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/sign-public/string/reject" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Отправить OTP подписанту

POST
/api/v1/signatures/sign-public/{shortId}/send-otp

Параметры пути

shortId*string

Короткий код подписания из ссылки-приглашения

Длина1 <= length <= 64

Тело ответа

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/sign-public/string/send-otp"
{
  "success": true,
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Подписать документ

POST
/api/v1/signatures/sign-public/{shortId}/sign

Параметры пути

shortId*string

Короткий код подписания из ссылки-приглашения

Длина1 <= length <= 64

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/sign-public/string/sign" \  -H "Content-Type: application/json" \  -d '{    "method": "ukep"  }'
{
  "success": true,
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Snapshot для подписи (УКЭП)

GET
/api/v1/signatures/sign-public/{shortId}/snapshot-to-sign

Параметры пути

shortId*string

Короткий код подписания из ссылки-приглашения

Длина1 <= length <= 64

Тело ответа

application/json

application/problem+json

curl -X GET "https://loading/api/v1/signatures/sign-public/string/snapshot-to-sign"
{
  "success": true,
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}